%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Langpacks plugin for yum
Name: yum-langpacks
Version: 0.1.2
Release: 1%{?dist}
License: GPLv2+
Group: Development/Tools
Source0: http://petersen.fedorapeople.org/%{name}-%{version}.tar.gz
URL: https://fedoraproject.org/wiki/Features/YumLangpackPlugin
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python-setuptools-devel
Requires: python >= 2.4, yum >= 3.0

%description
Yum-langpacks is a plugin for YUM that looks for langpacks for your native
language for packages you install.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README COPYING
%{python_sitelib}/*
/usr/lib/yum-plugins/langpacks.py*
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/langpacks.conf

%changelog
* Wed Nov 11 2009 Jens Petersen <petersen@redhat.com> - 0.1.2-1
- initial package (#433512)
